<?php

require("../lib/class.mysqlresult.inc.php");

$mysql=new mysqlresult;
$mysql->connect();

$mysql->query("DROP TABLE IF EXISTS `mdb_einstellungen`");
$mysql->query("
     CREATE TABLE `mdb_einstellungen` (
          `Titel` varchar(50) NOT NULL default '',
          `Schriftart` varchar(255) NOT NULL default '',
          `Seitenhintergrund` varchar(7) NOT NULL default '',
          `KopfFarbe` varchar(7) NOT NULL default '',
          `RandFarbe` varchar(7) NOT NULL default '',
          `ErsteTabellenHintergrundFarbe` varchar(7) NOT NULL default '',
          `ZweiteTabellenHintergrundFarbe` varchar(7) NOT NULL default '',
          `TextHeaderFarbe` varchar(7) NOT NULL default '',
          `TextFarbe` varchar(7) NOT NULL default '',
          `LinkFarbe` varchar(7) NOT NULL default '',
          `LinkHoverFarbe` varchar(7) NOT NULL default '',
          `NichtVorhanden` varchar(50) NOT NULL default '',
          `NeuSeit` int(2) NOT NULL default '0'
     ) TYPE=MyISAM;
");
$mysql->query("
     INSERT INTO `mdb_einstellungen` (`Titel`, `Schriftart`, `Seitenhintergrund`, `KopfFarbe`, `RandFarbe`, `ErsteTabellenHintergrundFarbe`, `ZweiteTabellenHintergrundFarbe`, `TextHeaderFarbe`, `TextFarbe`, `LinkFarbe`, `LinkHoverFarbe`, `NichtVorhanden`, `NeuSeit`) VALUES ('Filmdatenbank', 'Arial, Tahoma, Sans-Serif', '#FFFFFF', '#CCCCCC', '#000000', '#FFFFFF', '#DDDDDD', '#000000', '#000000', '#000000', '#006DB5', '-', 7);
");

$mysql->query("DROP TABLE IF EXISTS `mdb_filme`");
$mysql->query("
     CREATE TABLE `mdb_filme` (
       `Film_ID` int(14) NOT NULL auto_increment,
       `Titel` varchar(100) NOT NULL default '',
       `Genre` varchar(50) NOT NULL default '',
       `Inhalt` text NOT NULL,
       `Regie` varchar(50) NOT NULL default '',
       `Hauptdarsteller` varchar(255) NOT NULL default '',
       `Laenge` int(10) NOT NULL default '0',
       `Sprachen` varchar(100) NOT NULL default '',
       `Ton` varchar(100) NOT NULL default '',
       `FSK` int(3) NOT NULL default '0',
       `Zeit` int(20) NOT NULL default '0',
       PRIMARY KEY  (`Film_ID`)
     ) TYPE=MyISAM;
");

$mysql->query("DROP TABLE IF EXISTS `mdb_kommentare`");
$mysql->query("
     CREATE TABLE `mdb_kommentare` (
       `Beitrag_ID` int(14) NOT NULL auto_increment,
       `Film_ID` int(14) NOT NULL default '0',
       `User_ID` int(14) NOT NULL default '0',
       `Beitrag` text NOT NULL,
       `Sektion` varchar(20) NOT NULL default '',
       `Zeit` int(20) NOT NULL default '0',
       PRIMARY KEY  (`Beitrag_ID`)
     ) TYPE=MyISAM;
");

$mysql->query("DROP TABLE IF EXISTS `mdb_nn`");
$mysql->query("
     CREATE TABLE `mdb_nn` (
       `User_ID` int(14) NOT NULL default '0',
       `Film_ID` int(14) NOT NULL default '0',
       `Typ` enum('Original','DVD-Minus','DVD-Plus','SVCD','VCD','SMVCD','MVCD','DivX','XviD') NOT NULL default 'Original',
       `Mappe` varchar(20) NOT NULL default '',
       `Seite` varchar(20) NOT NULL default '',
       `AnzahlMedien` int(2) NOT NULL default '1',
       `BildQualitaet` int(3) NOT NULL default '0',
       `TonQualitaet` int(3) NOT NULL default '0',
       `WeitereAngaben` text NOT NULL,
       `VerliehenAn` varchar(30) NOT NULL default '',
       `VerliehenAm` date NOT NULL default '0000-00-00',
       `Zeit` int(20) NOT NULL default '0'
     ) TYPE=MyISAM;
");

$mysql->query("DROP TABLE IF EXISTS `mdb_sessions`");
$mysql->query("
     CREATE TABLE `mdb_sessions` (
     `id` int(11) NOT NULL auto_increment,
     `sid` varchar(100) NOT NULL default '',
     `data` text NOT NULL,
     `ip` varchar(20) NOT NULL default '',
     `opened` int(14) default NULL,
     `expire` int(14) default NULL,
     PRIMARY KEY  (`id`),
     UNIQUE KEY `autoid` (`id`)
     ) TYPE=MyISAM
");

$mysql->query("DROP TABLE IF EXISTS `mdb_user`");
$mysql->query("
     CREATE TABLE `mdb_user` (
       `User_ID` int(14) NOT NULL auto_increment,
       `Nickname` varchar(25) NOT NULL default '',
       `Passwort` varchar(60) NOT NULL default '',
       `EMail` varchar(255) NOT NULL default '',
       `Beitraege` bigint(20) NOT NULL default '0',
       `Rechte` enum('admin','schreiben','lesen','gesperrt') NOT NULL default 'schreiben',
       PRIMARY KEY  (`User_ID`)
     ) TYPE=MyISAM;
");

$mysql->query("
     INSERT INTO `mdb_user` (`User_ID`, `Nickname`, `Passwort`, `EMail`, `Beitraege`, `Rechte`) VALUES (1, 'admin', 'admin', '', 0, 'admin')
");

echo "install.php erfolgreich ausgefhrt!";

?>
