<?php

require("../lib/class.mysqlresult.inc.php");

$mysql=new mysqlresult;
$mysql->connect();

//Einstellungen
$mysql->query("DROP TABLE IF EXISTS `mdb_einstellungen`");
$mysql->query("
     CREATE TABLE `mdb_einstellungen` (
          `Titel` varchar(50) NOT NULL default '',
          `Schriftart` varchar(255) NOT NULL default '',
          `Seitenhintergrund` varchar(7) NOT NULL default '',
          `KopfFarbe` varchar(7) NOT NULL default '',
          `RandFarbe` varchar(7) NOT NULL default '',
          `ErsteTabellenHintergrundFarbe` varchar(7) NOT NULL default '',
          `ZweiteTabellenHintergrundFarbe` varchar(7) NOT NULL default '',
          `TextHeaderFarbe` varchar(7) NOT NULL default '',
          `TextFarbe` varchar(7) NOT NULL default '',
          `LinkFarbe` varchar(7) NOT NULL default '',
          `LinkHoverFarbe` varchar(7) NOT NULL default '',
          `NichtVorhanden` varchar(50) NOT NULL default '',
          `NeuSeit` int(2) NOT NULL default '0'
     ) TYPE=MyISAM;
");
$mysql->query("
     INSERT INTO `mdb_einstellungen` (`Titel`, `Schriftart`, `Seitenhintergrund`, `KopfFarbe`, `RandFarbe`, `ErsteTabellenHintergrundFarbe`, `ZweiteTabellenHintergrundFarbe`, `TextHeaderFarbe`, `TextFarbe`, `LinkFarbe`, `LinkHoverFarbe`, `NichtVorhanden`, `NeuSeit`) VALUES ('Filmdatenbank', 'Arial, Tahoma, Sans-Serif', '#FFFFFF', '#CCCCCC', '#000000', '#FFFFFF', '#DDDDDD', '#000000', '#000000', '#000000', '#006DB5', '-', 7);
");

//Filme
$mysql->query("
     ALTER TABLE `mdb_filme`
          CHANGE COLUMN `Genre` `Genre` varchar(50) NOT NULL AFTER `Titel`,
          ADD COLUMN `Hauptdarsteller` varchar(255) NOT NULL AFTER `Regie`;
");

//NN
$mysql->query("
     ALTER TABLE `mdb_nn`
          CHANGE COLUMN `DVDTyp` `Typ` enum('Original','DVD-Minus','DVD-Plus','SVCD','VCD','SMVCD','MVCD','DivX','XviD') DEFAULT 'Original' NOT NULL AFTER `Film_ID`,
          CHANGE COLUMN `Mappe` `Mappe` varchar(20) NOT NULL AFTER `Typ`,
          CHANGE COLUMN `Seite` `Seite` varchar(20) NOT NULL AFTER `Mappe`,
          ADD COLUMN `AnzahlMedien` int(2) DEFAULT 1 NOT NULL AFTER `Seite`,
          ADD COLUMN `BildQualitaet` int(3) DEFAULT 0 NOT NULL AFTER `AnzahlMedien`,
          ADD COLUMN `TonQualitaet` int(3) DEFAULT 0 NOT NULL AFTER `BildQualitaet`,
          ADD COLUMN `VerliehenAn` varchar(30) NOT NULL AFTER `WeitereAngaben`,
          ADD COLUMN `VerliehenAm` date NOT NULL AFTER `VerliehenAn`;
");

//User
$mysql->query("
     ALTER TABLE `mdb_user`
          ADD COLUMN `EMail` varchar(255) NOT NULL AFTER `Passwort`;
");

echo "Update erfolgreich ausgefhrt!";

?>
